@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;700&family=Poppins:wght@100;300;400;600;700&display=swap');
* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}


body {
	background: #1D202B;
	color: #fff;
	font-family: 'Poppins', sans-serif;
	min-height: 100vh;
}

/* ESTILOS HEADER*/

/* ESTILOS MAIN*/

.contenedor1{
    width: 100%;
    display: grid;
	grid-template-columns: 100%;
    text-align: center;
    padding: 10px;

}

.contenedor1 .nav-pages a{
    text-decoration: none;
    font-size: 14px;
    padding: 0px 20px 0px 20px;
    color: #B191F0;
}


.contenedor1 .nav-pages a:hover{
   background-color: black;
    color:#f1f1f1;
    padding: 10px;
    border-radius: 20px;
}

.integrantes{
    width: 100%;
    font-size: 20px;
    background-color: black;
    color: #f1f1f1;
    padding: 10px;
}

.fotoperfil{
    width: 150px;
    height: 150px;
    margin: 1em;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
    border-radius: 50px;
}

.fotoperfil img{
    width: 100%;
    height: 100%;
    object-position: center;
    -webkit-box-reflect: below;
}

.nav-alumnos{
    width: 100%;
	height: 5%;
    text-align: center;
    padding: 1.3em;
}

.nav-pages{
    width: 100%;
	height: 60px;
	margin-top: 20px;
    text-align: center;
    padding: 1em;
	background-color: #f1f1f1;
}
nav a{
    font-weight: 700;
}


/* ESTILOS HEADER NAVEGACION*/

.header-alumnos{
  /*  background-color: #000000;*/
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 5%;
    padding: 0px 10%;
}

.header-alumnos .logo{
    cursor: pointer;
    margin-right: auto;
}

.header-alumnos .logo button,
.header-alumnos .btn button,
.menu button{
    display: inline-block;
    margin-top: 5px;
    margin-bottom: 5px;
    background-color: #B191F0;
    color: #ffffff;
    padding: 10px 16px;
    border-radius: 30px;
    cursor: pointer;
    border: none;
    transition: all 0.3s ease 0s;
    font-size: 1em;
}
.header-alumnos .logo button:hover,
.header-alumnos .btn button:hover,
.menu button:hover{
    background-color: #ffffff;
    color: #B191F0;
    transform: scale(1.2);
}

 
.header-alumnos .nav-links{
    list-style: none;
	box-sizing: border-box;
}

.header-alumnos .nav-links li{
    display: inline-block;
    padding: 10px 20px;
}
.header-alumnos .nav-links li:hover{
    transform: scale(1.2);
}

.header-alumnos .nav-links a{
    
    color: #ffffff;
    
}

.header-alumnos .nav-links li a:hover{
    background-color: #B191F0;
    color: #ffffff;
    padding: 10px;
    border-radius: 16px;
}


/* ESTILOS NAV */

.header-alumnos a{
    text-decoration: none;
}

.header-alumnos .overlay{
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    background-color: #B191F0;
    overflow: hidden;
    transition: all 0.3s ease 0s;
}

.header-alumnos .overlay .overlay-content{
    display: flex;
    height: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.header-alumnos .overlay a{
    padding: 15px;
    font-size: 2em;
    display: block;
    transition: all 0.3s ease 0s;
    font-weight: 600;
    color: #f1f1f1;
	text-align: center;
}

.header-alumnos .overlay a:hover, 
.header-alumnos .overlay a:focus{
    color: #000;
}

.header-alumnos .overlay .close{
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 3em;
}
.header-alumnos .menu button{
    background-color: #B191F0;
    color: #ffffff;
    padding: 10px 16px;
    border-radius: 30px;
    cursor: pointer;
    border: none;
    transition: all 0.3s ease 0s;
    font-size: 1em;
}



/* ESTILOS CONTENEDORES MATERIAS Y DATOS*/

.contenedor {
	width: 100%;
	max-width: 1600px;
	margin-left: auto;
	margin-right: auto;
	padding: 40px 0;

	/* Flexbox */
	/* display: flex;
	gap: 20px; */

	/* Grid */
	display: grid;
	grid-template-columns: 100%;
	gap: 2em;
	justify-content: center;
}


.contenedor-materias {
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	/* Flexbox */
	/* width: 70%;

	display: flex;
	flex-wrap: wrap;
	gap: 20px; */

	/* Grid */
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 1em;
	
}

.contenedor-datos {
	width: 100%;
	/* Flexbox */
	/* width: 70%;

	display: flex;
	flex-wrap: wrap;
	gap: 20px; */

	/* Grid */
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 1em;
	
}

.card {
	background-color: #f1f1f1;
	border-radius: 10px;
	min-height: 200px;
	font-weight: bold;
	padding: 20px;
	position: relative;
	overflow: hidden;
	

	/* Flexbox */
	/* width: calc(33.33% - 20px); */
}

.card .textos {
	height: 100%;
	color: #B191F0;
	
	/* Flebox */
	display: flex;
	flex-direction: column;
	justify-content: space-between;

	/* Grid */
	/* display: grid;
	grid-template-rows: 1fr auto; */
}
.card .textos p{
	color: #000;
}

.banner,
.banner2 {
	border-radius: 10px;
	text-align: center;
	padding: 2em;
	background-color: #B191F0;

	/* Flexbox */
	/* width: 30%; */
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	width: calc(100% * 50% - 16px);
	/* Grid */
	/* display: grid;
	grid-template-rows: auto auto auto;
	align-items: center; */
}

.banner h4,
.banner2 h4 {
	color: #000;
}
.banner h3,
.banner2 h3 {
	color: #5c4474;
}



.banner .boton,
.banner2 .boton {
	background: #fff;
	display: block;
	width: 100%;
	font-weight: bold;
	font-size: 14px;
	text-align: center;
	padding: 10px;
	border: none;
	border-radius: 100px;
	font-family: 'Roboto', sans-serif;
	cursor: pointer;
	transition: all 0.3s ease 0s;
}
.banner .boton:hover,
.banner2 .boton:hover{
	background-color: #8e61e7;
	color: #fff;
	transform: scale(1.05);
}

.social-icon {
	padding: 10px;
	margin-left: auto;
	margin-right: auto;

}
.social-icon a{
	padding: 10px;
	font-size: 2em;
	color: #fff;
	transition: all 0.3s ease 0s;
	text-decoration: none;
}
.social-icon a:hover{
	color: #B191F0;
	transform: scale(1.4);
}



/*ESTILOS FOOTER*/

footer{
    width: 100%;
    margin-top: 2em;
    padding: 1.2em;
    text-align: center;
	font-weight: 300;
    color: #f1f1f1;
    background-color: #0e1018;
}
.piedepagina{
	font-size: 12px;
}
.menu{
    display: none;
}




/* MEDIAS RESPONSIVE*/

@media screen and (max-width: 900px) {
	.contenedor-materias{
		grid-template-columns: 50% 50%;
	}
	.contenedor-datos{
		grid-template-columns: 100%;
	}
}

@media screen and (max-width: 700px) {
	.contenedor-materias{
		grid-template-columns: 100%;
	}
	.contenedor-datos{
		grid-template-columns: 100%;
	}
	.nav-links, .btn{
        display: none;

    }
    .menu{
        display: inherit;
    }
	.header-alumnos{
		background-color: #1D202B;
		padding: 20px;
	}
}

@media screen and (max-width: 600px) {
	.contenedor-materias{
		grid-template-columns: 100%;
	}
	.contenedor-datos{
		grid-template-columns: 100%;
	}
	.textos{
		text-align: center;
	}
}
@media screen and (max-height: 450px) {
    .header-alumnos .overlay a{
        font-size: 1.5em;
    }
    .header-alumnos .overlay .close{
        font-size: 2em;
        top: 15px;
        right: 35px;
    }
}